# ケージの写真または文書を注文 ![](https://docs.equinix.com/ja/assets/images/OrderPhotosOrDocumentationOfYourCage-dc586ada4ab1e24af7d323b661f38494.png) ## 前提条件[​](#前提条件 "への直接リンク前提条件") 1. Smart Handsの詳細を取得するには、権限が必要です。`Smart Hands` 2. 認証-ユーザー認証情報、クライアントID、クライアントシークレットを送信してOauth2認証を行います。認証情報を検証および認証するためにOAuth APIを呼び出す方法については、「[API認証」を](https://docs.equinix.com/ja/equinix-api/api-authentication.md)参照してください。 3. Get Smart Hands Types -エンドポイントにリクエストを[`/v1/orders/smarthands/types`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/smarthandtypes.md)送信して、`GET`すべてのSmart Handsオーダータイプを取得します。Smart Handsのオーダータイプがすでにわかっている場合は、この手順をスキップできます。 4. ロケーション情報の取得-エンドポイントにリクエストを[`/v1/orders/smarthands/locations`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/getlocation.md)送信して、`GET`アクセス可能なIBXロケーションを取得します。ロケーション情報がすでにわかっている場合は、この手順をスキップしても構いません。 ## ケージの写真または資料の注文 - 最小限の例[​](#ケージの写真または資料の注文---最小限の例 "への直接リンクケージの写真または資料の注文 - 最小限の例") IBX技術者にケージ関連の写真やドキュメントの提供を依頼するには、エンドポイントにリクエストを[`v1/orders/smarthands/picturesDocument`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandpicturesdocumentorder.md)送信します。`POST`リクエストの本文にサービスの詳細を入力します。 サンプルcURLリクエスト: ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/picturesDocument" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "documentOnly": false,     "cameraProvidedBy": "Equinix",     "specificDateAndTime": true,     "description": "Take a photo of the patch panel cable arrangement, to include all labels clearly.",     "scopeOfWork": "Indicate what camera was used, and provide the photos in print size 3.6 x 3.007 inches.",   },   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "purchaseOrder": {     "purchaseOrderType": "NEW",     "number": "1037503648"   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "userName": "johndoe",       "workPhonePrefToCall": "ANYTIME"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     }   ] }' ``` 回答例 ``` {   "OrderNumber": "1-457809872838" } ``` 応答は注文が成功したことを示し、注文番号を返します。 ## ケージの写真またはドキュメントの注文 - 拡張例[​](#ケージの写真またはドキュメントの注文---拡張例 "への直接リンクケージの写真またはドキュメントの注文 - 拡張例") IBX技術者にケージ関連の写真やドキュメントの提供を依頼するには、エンドポイントにリクエストを[`v1/orders/smarthands/picturesDocument`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandpicturesdocumentorder.md)送信します。`POST`リクエストの本文にサービスの詳細を入力します。オブジェクトを使用して、`attachments`技術者の追加詳細を含めることができます。 > **メモ** > > アタッチメント付きのオーダーを作成する前に、エンドポイントに電話してください。[`Attachments File`](https://docs.equinix.com/ja/api-catalog/attachmentsv1/attachments/createattachment.md) ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/picturesDocument" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [           "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "documentOnly": false,     "cameraProvidedBy": "Equinix",     "specificDateAndTime": true,     "description": "Take a photo of the patch panel cable arrangement, to include all labels clearly.",     "scopeOfWork": "Indicate what camera was used, and provide the photos in print size 3.6 x 3.007 inches.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {       "id": "fcb2k8763-2947-456e-8d68-f280753d60ba",       "name": "SupportingPhotos.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {       "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",       "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "name": "Jane Smith",       "email": "janesmith@corporation.com",       "workPhoneCountryCode": "+44",       "workPhone": "0148211111",       "workPhonePrefToCall": "MY_BUSINESS_HOURS",       "workPhoneTimeZone": "Europe/London",       "mobilePhoneCountryCode": "+44",       "mobilePhone": "0123456789",       "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",       "mobilePhoneTimeZone": "Europe/London"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     },     {       "contactType": "NOTIFICATION",       "userName": "jillsnow"     }   ] }' ``` 本文のパラメータと説明の完全なリストについては、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandpicturesdocumentorder.md)参照してください。